petsc-3.12.1 2019-10-22
Report Typos and Errors

# VecTDot

Computes an indefinite vector dot product. That is, this routine does NOT use the complex conjugate.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecTDot(Vec x,Vec y,PetscScalar *val)

Collective on Vec

### Input Parameters

x, y -the vectors

### Output Parameter

val -the dot product

### Notes for Users of Complex Numbers

For complex vectors, VecTDot() computes the indefinite form

        val = (x,y) = y^T x,

where y^T denotes the transpose of y.

Use VecDot() for the inner product

        val = (x,y) = y^H x,

where y^H denotes the conjugate transpose of y.

### See Also

VecDot(), VecMTDot()

### Level

intermediate

### Location

src/vec/vec/interface/rvector.c

### Implementations

VecTDot_MPICUDA in src/vec/vec/impls/mpi/mpicuda/mpicuda.cu
VecTDot_MPIViennaCL in src/vec/vec/impls/mpi/mpiviennacl/mpiviennacl.cxx
VecTDot_MPI in src/vec/vec/impls/mpi/pbvec.c
VecTDot_Nest in src/vec/vec/impls/nest/vecnest.c
VecTDot_Seq in src/vec/vec/impls/seq/bvec1.c
VecTDot_SeqCUDA in src/vec/vec/impls/seq/seqcuda/veccuda2.cu
VecTDot_SeqViennaCL in src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages